### Function

# ECal recur_describe_recurrence_ex

since: 3.38

#### Declaration [src]

    gchar*
    e_cal_recur_describe_recurrence_ex (
      ICalComponent* icalcomp,
      GDateWeekday week_start_day,
      guint32 flags,
      ECalRecurFormatDateTimeFunc datetime_fmt_func
    )

#### Description [src]

Describes some simple types of recurrences in a human-readable and localized way. The `flags` influence the output format and what to do when the `icalcomp` contains more complicated recurrence, some which the function cannot describe.

The `week_start_day` is used for weekly recurrences, to start the list of selected days at that day.

If `datetime_fmt_func` is `NULL`, the `e_time_format_date_and_time()` is used to format data/time value.

Free the returned string with g_free(), when no longer needed.

Available since: 3.38

#### Parameters

`icalcomp`

  Type: `None`

  An `ICalComponent`.

  The data is owned by the caller of the function.

`week_start_day`

  Type: `GDateWeekday`

  A day when the week starts.

`flags`

  Type: `guint32`

  Bit-or of `ECalRecurDescribeRecurrenceFlags`.

`datetime_fmt_func`

  Type: `ECalRecurFormatDateTimeFunc`

  Formatting function for date/time value.

  The argument can be `NULL`.

#### Return value

Type: `gchar*`

A newly allocated string, which describes the recurrence of the `icalcomp`, or `NULL`, when the `icalcomp` doesn’t recur or the recurrence is too complicated to describe, also according to given `flags`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.